
local t = Def.ActorFrame {
	-- Winner p1
	Def.Sprite{
		InitCommand=function(self)
			self:x(SCREEN_CENTER_X-230+4);
			local pm = GAMESTATE:GetPlayMode()
			if pm == 'PlayMode_Battle' or pm == 'PlayMode_Rave' then
				self:visible(true);
				if GAMESTATE:IsWinner(PLAYER_1) then
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/win"));
				elseif GAMESTATE:IsDraw() then
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/draw"));
				else
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/lose"));
				end;
			else
				self:visible(false);
			end;
		end;
		OnCommand=cmd(horizalign,center;vertalign,bottom;zoomx,0.5;zoomy,5;diffusealpha,0;sleep,1;linear,0.2;zoom,1;diffusealpha,1;);
	};

	-- Winner p2
	Def.Sprite{
		InitCommand=function(self)
			self:x(SCREEN_CENTER_X+230);
			local pm = GAMESTATE:GetPlayMode()
			if pm == 'PlayMode_Battle' or pm == 'PlayMode_Rave' then
				self:visible(true);
				if GAMESTATE:IsWinner(PLAYER_2) then
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/win"));
				elseif GAMESTATE:IsDraw() then
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/draw"));
				else
					self:Load(THEME:GetPathG("ScreenEvaluation","WinDisplay/lose"));
				end;
			else
				self:visible(false);
			end;
		end;
		OnCommand=cmd(horizalign,center;vertalign,bottom;zoomx,0.5;zoomy,5;diffusealpha,0;sleep,1;linear,0.2;zoom,1;diffusealpha,1;);
	};
};

return t;
